Subject: Re: bug#40521: 28.0.50; :box attribute in header-line truncates header-line-format text

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Apr 2020 16:16:28 +0200

Eli Zaretskii <[email-masked]> writes:

> > I've checked some of my older screenshots and there was nothing
> > like that, "Treemacs" was fully visible. After a bit of digging I've
> > figured out that that's the :box attribute causing this.
> >
> > Minimal recipe:
> >
> >     emacs -q --eval "(progn (setq header-line-format \"1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16\")
> > (face-remap-add-relative 'header-line :box '(:line-width 20)))"
> >
> > Emacs should appear with pretty huge header-line at the top. Try to
> > resize the frame. Notice that amount of dots changes. Without the :box
> > dots are being truncated by the edge of the window as those should.
> > With :box it happens somewhere at the middle of the window.
>
> Thanks, I think I fixed that now.

Seems to work now; I can't reproduce it.  Closing the bug.

Best regards,
Stefan Kangas